## plasma-discover 6.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(discover)
set(PROJECT_VERSION "6.3.4")
set(PROJECT_VERSION_MAJOR 6)

set(QT_MIN_VERSION "6.7.0")
set(KF6_MIN_VERSION "6.10.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.85")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  "${CMAKE_SOURCE_DIR}/cmake")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMAddTests)
include(GenerateExportHeader)
include(ECMQtDeclareLoggingCategory)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMFindQmlModule)
include(ECMDeprecationSettings)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED CONFIG COMPONENTS Widgets Test Network Concurrent DBus Quick QuickControls2)
find_package(Qt6 ${QT_MIN_VERSION} CONFIG OPTIONAL_COMPONENTS WebView)

find_package(PkgConfig REQUIRED)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED Kirigami CoreAddons Config Crash DBusAddons I18n Archive XmlGui KIO KCMUtils IdleTime Notifications Purpose Auth StatusNotifierItem IconThemes)
find_package(KF6 ${KF6_MIN_VERSION} OPTIONAL_COMPONENTS UserFeedback)

find_package(packagekitqt6 1.0.1 CONFIG)
find_package(AppStreamQt 1.0 CONFIG REQUIRED)
find_package(KF6Attica 5.23 CONFIG)
find_package(KF6NewStuff 5.53 CONFIG)

find_package(KF6KirigamiAddons REQUIRED)
set_package_properties(KF6KirigamiAddons PROPERTIES
    TYPE REQUIRED
    PURPOSE "Provides additional visual components"
)

pkg_check_modules(Flatpak IMPORTED_TARGET flatpak>=0.11.8)
pkg_check_modules(Fwupd IMPORTED_TARGET fwupd>=1.9.4)
pkg_check_modules(Markdown IMPORTED_TARGET libmarkdown)
if(Markdown_FOUND AND Markdown_VERSION VERSION_GREATER_EQUAL 3)
    add_definitions(-DMARKDOWN3)
endif()
pkg_check_modules(Ostree IMPORTED_TARGET ostree-1)
pkg_check_modules(RpmOstree IMPORTED_TARGET rpm-ostree-1)

find_package(QCoro6 REQUIRED COMPONENTS Core)

qcoro_enable_coroutines()

ecm_find_qmlmodule(org.kde.kitemmodels 1.0 REQUIRED)

list(APPEND CMAKE_AUTOMOC_MACRO_NAMES "DISCOVER_BACKEND_PLUGIN")

ecm_set_disabled_deprecation_versions(QT 6.8.1
    KF 6.9.0
)

add_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS -DQT_NO_URL_CAST_FROM_STRING)

configure_file(DiscoverVersion.h.in DiscoverVersion.h)

if(BUILD_TESTING AND CMAKE_SYSTEM_NAME MATCHES "Linux")
    add_subdirectory(appiumtests)
endif()
add_subdirectory(libdiscover)
add_subdirectory(discover)
add_subdirectory(exporter)
add_subdirectory(update)

option(WITH_KCM "Build and install the updates KCM" ON)
if(WITH_KCM)
    add_subdirectory(kcm)
endif()

option(WITH_NOTIFIER "Build and install the notifier plasmoid" ON)
if(WITH_NOTIFIER)
    add_subdirectory(notifier)
endif()

set_package_properties(KF6Attica PROPERTIES
    DESCRIPTION "KDE Framework that implements the Open Collaboration Services API"
    PURPOSE "Required to build the KNewStuff3 backend"
    TYPE OPTIONAL)
set_package_properties(KF6Kirigami2 PROPERTIES
    DESCRIPTION "KDE's lightweight user interface framework for mobile and convergent applications"
    URL "https://techbase.kde.org/Kirigami"
    PURPOSE "Required by discover qml components"
    TYPE RUNTIME)
set_package_properties(KF6NewStuff PROPERTIES
    DESCRIPTION "Qt library that allows to interact with KNewStuff implementations"
    PURPOSE "Required to build the KNS backend"
    TYPE OPTIONAL)
set_package_properties(KF6UserFeedback PROPERTIES
    DESCRIPTION "Framework for collecting feedback from application users via telemetry and targeted surveys"
    URL "https://invent.kde.org/frameworks/kuserfeedback"
    PURPOSE "Required for submission of telemetry data"
    TYPE OPTIONAL)
set_package_properties(packagekitqt6 PROPERTIES
    DESCRIPTION "Library that exposes PackageKit resources"
    URL "https://www.freedesktop.org/software/PackageKit/"
    PURPOSE "Required to build the PackageKit backend"
    TYPE OPTIONAL)
set_package_properties(AppStreamQt PROPERTIES
    DESCRIPTION "Library that lists Appstream resources"
    URL "https://www.freedesktop.org"
    PURPOSE "Required to build the PackageKit, Flatpak and Snap backends"
    TYPE OPTIONAL)
add_feature_info(Flatpak Flatpak_FOUND
                "Library that exposes flatpak repositories. Required to build the Flatpak backend"
)
add_feature_info(Fwupd Fwupd_FOUND "Exposes fwupd")
add_feature_info(Ostree Ostree_FOUND
                "Library to manage ostree repository. Required to build the rpm-ostree backend"
)
add_feature_info(RpmOstree RpmOstree_FOUND
                "rpm-ostree binary to manage the system. Required to build the rpm-ostree backend"
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ecm_qt_install_logging_categories(
    EXPORT DISCOVER
    FILE discover.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

ki18n_install(po)

=== libdiscover/backends/SnapBackend/CMakeLists.txt ===
add_subdirectory(libsnapclient)

set(snap-backend_SRCS
    SnapResource.cpp
    SnapBackend.cpp
    SnapTransaction.cpp
    snapui.qrc
)
ecm_qt_declare_logging_category(snap-backend_SRCS HEADER libdiscover_snap_debug.h IDENTIFIER LIBDISCOVER_SNAP_LOG CATEGORY_NAME org.kde.plasma.libdiscover.snap DESCRIPTION "libdiscover snap backend" EXPORT DISCOVER)
kcoreaddons_add_plugin(snap-backend SOURCES ${snap-backend_SRCS} INSTALL_NAMESPACE "discover")
target_link_libraries(snap-backend
    Qt::Gui
    Qt::Core
    Qt::Concurrent
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::KIOGui
    Discover::Common
    Snapd::Core
)

install(FILES org.kde.discover.snap.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== debian/changelog ===
plasma-discover (6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:53:40 +0100

plasma-discover (6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:15:25 +0000

plasma-discover (6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Depend on xdg-desktop-portal-kde or an alternative for snap
      and flatpak backend.
    - Ship plasma-discover-backend-snap package.
    - Recommend the snap backend and software-properties-qt.
    - Split out the notifier to a separate plasma-discover-notifier
      package and recommend this.
    - Demote kde-config-updates to suggests to make sure that this is not
      pulled onto the Lubuntu default install. Kubuntu or other flavours
      who want this can seed it directly as a recommends.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 13:36:11 +0000

plasma-discover (6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * New upstream release (6.3.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:52:07 +0100

plasma-discover (6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:14:23 +0000

plasma-discover (6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:21:31 +0000

plasma-discover (6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:59:04 +0100

plasma-discover (6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:53:20 +0000

plasma-discover (6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:51:51 +0100

plasma-discover (6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:40:04 +0000

plasma-discover (6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:37:49 +0100

=== debian/control ===
Source: plasma-discover
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Matthias Klumpp <mak@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               kirigami-addons-dev (>= 1.2.1~),
               libappstreamqt-dev (>= 1.0.0),
               libcurl4-gnutls-dev,
               libflatpak-dev (>= 0.11.8~) [linux-any],
               libfwupd-dev (>= 1.9.4~) [linux-any],
               libkf6archive-dev (>= 6.10.0~),
               libkf6attica-dev (>= 6.10.0~),
               libkf6auth-dev (>= 6.10.0~),
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6crash-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6iconthemes-dev (>= 6.10.0~),
               libkf6idletime-dev (>= 6.10.0~),
               libkf6jobwidgets-dev,
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6newstuff-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6purpose-dev (>= 6.10.0~),
               libkf6statusnotifieritem-dev (>= 6.10.0~),
               libkf6userfeedback-dev (>= 6.10.0~),
               libkf6xmlgui-dev (>= 6.10.0~),
               libkirigami-dev (>= 6.10.0~),
               libmarkdown2-dev,
               libpackagekitqt6-dev (>= 1.0.1),
               libsnapd-qt-dev (>= 1.65) [linux-any],
               pkgconf,
               qcoro-qt6-dev,
               qml6-module-qt5compat-graphicaleffects,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-webview-dev (>= 6.6.0~) [amd64 arm64 armhf i386],
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/discover
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
Rules-Requires-Root: no

Package: plasma-discover
Architecture: any
Depends: appstream (>= 1.0),
         apt-config-icons,
         packagekit (>= 1.0),
         plasma-discover-common (= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: apt-config-icons-hidpi,
            apt-config-icons-large,
            apt-config-icons-large-hidpi,
            plasma-discover-backend-fwupd [linux-any],
            plasma-discover-backend-snap,
            plasma-discover-notifier,
            software-properties-qt,
Suggests: kde-config-updates,
          plasma-discover-backend-flatpak [linux-any],
Description: Discover software management suite
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 By allowing to navigate a software library by search, categories, top lists
 along with detailed application information that includes screenshots
 and reviews, users can more quickly find applications that suit their needs.
 .
 Discover will also keep the system up to date by notifying about updates and
 installing them.

Package: plasma-discover-notifier
Architecture: any
Depends: plasma-discover (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: plasma-discover (<< 5.26.90-0ubuntu2)
Replaces: plasma-discover (<< 5.26.90-0ubuntu2)
Description: Discover software management suite - Update Notifier
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 By allowing to navigate a software library by search, categories, top lists
 along with detailed application information that includes screenshots
 and reviews, users can more quickly find applications that suit their needs.
 .
 Discover will also keep the system up to date by notifying about updates and
 installing them.
 .
 This package contains the update notifier and indicator.

Package: plasma-discover-backend-flatpak
Architecture: linux-any
Depends: flatpak,
         plasma-discover (= ${binary:Version}),
         xdg-desktop-portal-kde | xdg-desktop-portal-backend,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Discover software management suite - Flatpak backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Flatpak application
 bundling system.

Package: plasma-discover-backend-fwupd
Architecture: linux-any
Depends: plasma-discover (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: fwupd,
Description: Discover software management suite - fwupd backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the firmware update daemon.

Package: plasma-discover-backend-snap
Architecture: linux-any
Depends: plasma-discover (= ${binary:Version}),
         xdg-desktop-portal-kde | xdg-desktop-portal-backend,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: snapd,
Breaks: plasma-discover (<< 5.19.4-2~),
Replaces: plasma-discover (<< 5.19.4-2~),
Description: Discover software management suite - Snap backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Ubuntu Core Snappy application
 bundling system.

Package: plasma-discover-common
Architecture: all
Depends: ${misc:Depends},
Description: Discover software manager suite (common data files)
 Discover is a graphical software manager for the Plasma workspace.
 .
 This package contains data files shared by various parts of the
 Discover suite.

Package: kde-config-updates
Architecture: any
Depends: systemsettings, ${misc:Depends}, ${shlibs:Depends},
Description: Unattended updates configuration
 This package contains a configuration module for configuring
 unattended updates for fleet administrators without the need to
 use system updaters manually.
 .
 This package is part of Plasma Discover.

## plasma-discover 6.3.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(discover)
-set(PROJECT_VERSION "6.3.4")
+set(PROJECT_VERSION "6.3.5")
 set(PROJECT_VERSION_MAJOR 6)
 
 set(QT_MIN_VERSION "6.7.0")

=== debian/changelog ===
plasma-discover (6.3.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
    - ApplicationsListPage: fix "Still Looking" indicator. Commit.
    (kde#485379)
    - ApplicationPage: fix offline update header text at narrow window widths.
    (kde#502835)
  * Backport upstream commits:
    - Improvements to the reliability of automatic updates. (kde#447245)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 00:58:38 +0200

plasma-discover (6.3.4-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add patch to use the Qt6 version on the snapd bindings as packaged
    in Debian.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 04 Apr 2025 01:07:16 +0200

plasma-discover (6.3.4-2) unstable; urgency=medium

  * Source-only upload to unstable so the package can migrate to
    testing.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 20:28:52 +0200

plasma-discover (6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Reintroduce package plasma-discover-backend-snap.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 18:23:13 +0200

## plasma-discover 6.3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(discover)
-set(PROJECT_VERSION "6.3.5")
+set(PROJECT_VERSION "6.3.6")
 set(PROJECT_VERSION_MAJOR 6)
 
 set(QT_MIN_VERSION "6.7.0")

=== libdiscover/backends/CMakeLists.txt ===
function(add_unit_test name)
    add_executable(${name} ${ARGN})
    add_test(${name} dbus-run-session ${CMAKE_BINARY_DIR}/bin/${name})
    ecm_mark_as_test(${name})
    target_link_libraries(${name}
        Discover::Common
        Qt::Test
        Qt::Core
        ${EXTRA_LIBS}
    )
endfunction()

# Shared logging category for backends which don't declare their own ones
ecm_qt_declare_logging_category(libdiscover-backend-logging-category_SRCS
    HEADER libdiscover_backend_debug.h
    IDENTIFIER LIBDISCOVER_BACKEND_LOG
    CATEGORY_NAME org.kde.plasma.libdiscover.backend
    DESCRIPTION "libdiscover (backend)"
    EXPORT DISCOVER
)

add_library(libdiscover-backend-logging-category STATIC
    ${libdiscover-backend-logging-category_SRCS}
)

set_property(TARGET libdiscover-backend-logging-category PROPERTY POSITION_INDEPENDENT_CODE ON)

target_link_libraries(libdiscover-backend-logging-category
    PRIVATE
        Qt::Core
)

if (KF6Attica_FOUND AND KF6NewStuff_FOUND AND AppStreamQt_FOUND)
   add_subdirectory(KNSBackend)
endif()

if (packagekitqt6_FOUND AND AppStreamQt_FOUND)
    add_subdirectory(PackageKitBackend)
endif()

option(BUILD_DummyBackend "Build the DummyBackend" "OFF")
if (BUILD_DummyBackend)
    add_subdirectory(DummyBackend)
endif()

option(BUILD_FlatpakBackend "Build Flatpak support" "ON")
if (Flatpak_FOUND AND AppStreamQt_FOUND AND BUILD_FlatpakBackend)
    add_subdirectory(FlatpakBackend)
elseif (BUILD_FlatpakBackend)
    message(WARNING "BUILD_FlatpakBackend enabled but Flatpak=${Flatpak_FOUND} or AppStreamQt=${AppStreamQt_FOUND} not found")
endif()

find_package(Snapd 1.65)
set_package_properties(Snapd PROPERTIES
    DESCRIPTION "Library that exposes Snapd"
    URL "https://www.snapcraft.io"
    PURPOSE "Required to build the Snap backend"
    TYPE OPTIONAL
)

option(BUILD_SteamOSBackend "Build SteamOS support." "OFF")
if (BUILD_SteamOSBackend)
    add_subdirectory(SteamOSBackend)
endif()

option(BUILD_SnapBackend "Build Snap support." "ON")
if (BUILD_SnapBackend AND AppStreamQt_FOUND AND Snapd_FOUND)
    add_subdirectory(SnapBackend)
endif()

option(BUILD_FwupdBackend "Build Fwupd support." "ON")
if (BUILD_FwupdBackend AND TARGET PkgConfig::Fwupd)
    add_subdirectory(FwupdBackend)
endif()

option(BUILD_RpmOstreeBackend "Build rpm-ostree support." "ON")
if (BUILD_RpmOstreeBackend AND Ostree_FOUND AND RpmOstree_FOUND)
    add_subdirectory(RpmOstreeBackend)
endif()

# Optional library
find_package(ApkQt CONFIG)
set_package_properties(ApkQt PROPERTIES
    DESCRIPTION "C++/Qt interface library for Alpine package keeper"
    URL "https://gitlab.com/postmarketOS/libapk-qt"
    PURPOSE "Required to build the Alpine APK backend"
    TYPE OPTIONAL)

option(BUILD_AlpineApkBackend "Build Alpine APK support." "ON")
if(BUILD_AlpineApkBackend AND ApkQt_FOUND)
    add_subdirectory(AlpineApkBackend)
endif()

=== libdiscover/backends/FlatpakBackend/CMakeLists.txt ===
ecm_qt_declare_logging_category(libdiscover-backend-flatpak-logging-category_SRCS
    HEADER libdiscover_backend_flatpak_debug.h
    IDENTIFIER LIBDISCOVER_BACKEND_FLATPAK_LOG
    CATEGORY_NAME org.kde.plasma.libdiscover.backend.flatpak
    DESCRIPTION "libdiscover (backend - Flatpak)"
    EXPORT DISCOVER
)

add_library(libdiscover-backend-flatpak-logging-category STATIC
    ${libdiscover-backend-flatpak-logging-category_SRCS}
)

set_property(TARGET libdiscover-backend-flatpak-logging-category PROPERTY POSITION_INDEPENDENT_CODE ON)

target_link_libraries(libdiscover-backend-flatpak-logging-category
    PRIVATE
        Qt::Core
)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

set(flatpak-backend_SRCS
    FlatpakResource.cpp
    FlatpakBackend.cpp
    FlatpakFetchDataJob.cpp
    FlatpakSourcesBackend.cpp
    FlatpakJobTransaction.cpp
    FlatpakTransactionThread.cpp
    FlatpakRefreshAppstreamMetadataJob.cpp
    FlatpakPermission.cpp
    resources.qrc
)

kcoreaddons_add_plugin(flatpak-backend SOURCES ${flatpak-backend_SRCS} INSTALL_NAMESPACE "discover")
kde_target_enable_exceptions(flatpak-backend PRIVATE)
target_link_libraries(flatpak-backend
    PRIVATE
        Qt::Core
        Qt::Widgets
        Qt::Concurrent
        KF6::CoreAddons
        KF6::ConfigCore
        KF6::KIOGui
        Discover::Common
        AppStreamQt
        PkgConfig::Flatpak
        QCoro::Core
        libdiscover-backend-flatpak-logging-category
)

if (NOT Flatpak_VERSION VERSION_LESS 1.1.2)
    target_compile_definitions(flatpak-backend PRIVATE -DFLATPAK_VERBOSE_PROGRESS -DFLATPAK_LIST_UNUSED_REFS)
endif()

install(FILES flatpak-backend-categories.xml DESTINATION ${KDE_INSTALL_DATADIR}/libdiscover/categories)

kcoreaddons_add_plugin(FlatpakNotifier SOURCES FlatpakNotifier.cpp INSTALL_NAMESPACE "discover-notifier")
target_link_libraries(FlatpakNotifier
    PRIVATE
        Discover::Notifiers
        Qt::Concurrent
        PkgConfig::Flatpak
        libdiscover-backend-flatpak-logging-category

)
set_target_properties(FlatpakNotifier PROPERTIES INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/plasma-discover)

if (Flatpak_VERSION VERSION_LESS 1.10.2)
    target_compile_definitions(flatpak-backend PRIVATE -DFLATPAK_EXTERNC_REQUIRED)
    target_compile_definitions(FlatpakNotifier PRIVATE -DFLATPAK_EXTERNC_REQUIRED)
endif()

install(PROGRAMS org.kde.discover-flatpak.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
install(FILES org.kde.discover.flatpak.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

ecm_install_icons(
    ICONS
        sc-apps-flatpak-discover.svg
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== debian/changelog ===
plasma-discover (6.3.6-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.6).
    - Make it harder for category to be wrong. (kde#491703)
  * Backport upstream commits:
    - Respect systemwide default search engine. [1e71f6c7] (kde#502908)
    - Fix empty search results with trailing whitespaces. [ac955439]
    (kde#505538)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 14 Jul 2025 23:44:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: plasma-discover
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Matthias Klumpp <mak@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
                kirigami-addons-dev (>= 1.2.1~),
@@ -18,7 +17,7 @@
                libflatpak-dev (>= 0.11.8~) [linux-any],
                libfwupd-dev (>= 1.9.4~) [linux-any],
                libkf6archive-dev (>= 6.10.0~),
-               libkf6attica-dev (>= 6.10.0~),
+               libkf6attica-dev (>= 6.2.0~),
                libkf6auth-dev (>= 6.10.0~),
                libkf6config-dev (>= 6.10.0~),
                libkf6coreaddons-dev (>= 6.10.0~),
@@ -30,7 +29,7 @@
                libkf6jobwidgets-dev,
                libkf6kcmutils-dev (>= 6.10.0~),
                libkf6kio-dev (>= 6.10.0~),
-               libkf6newstuff-dev (>= 6.10.0~),
+               libkf6newstuff-dev (>= 6.2.0~),
                libkf6notifications-dev (>= 6.10.0~),
                libkf6purpose-dev (>= 6.10.0~),
                libkf6statusnotifieritem-dev (>= 6.10.0~),
@@ -39,17 +38,17 @@
                libkirigami-dev (>= 6.10.0~),
                libmarkdown2-dev,
                libpackagekitqt6-dev (>= 1.0.1),
-               libsnapd-qt-dev (>= 1.65) [linux-any],
+               libsnapd-qt6-dev (>= 1.66-2) [linux-any],
                pkgconf,
                qcoro-qt6-dev,
                qml6-module-qt5compat-graphicaleffects,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
                qt6-webview-dev (>= 6.6.0~) [amd64 arm64 armhf i386],
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/discover
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-discover
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-discover.git
 Rules-Requires-Root: no
 
 Package: plasma-discover
@@ -64,12 +63,11 @@
 Recommends: apt-config-icons-hidpi,
             apt-config-icons-large,
             apt-config-icons-large-hidpi,
+            kde-config-updates,
             plasma-discover-backend-fwupd [linux-any],
-            plasma-discover-backend-snap,
-            plasma-discover-notifier,
             software-properties-qt,
-Suggests: kde-config-updates,
-          plasma-discover-backend-flatpak [linux-any],
+Suggests: plasma-discover-backend-flatpak [linux-any],
+          plasma-discover-backend-snap [linux-any],
 Description: Discover software management suite
  Discover is a graphical software manager for the Plasma workspace.
  It helps users easily and quickly find applications and other software
@@ -82,32 +80,10 @@
  Discover will also keep the system up to date by notifying about updates and
  installing them.
 
-Package: plasma-discover-notifier
-Architecture: any
-Depends: plasma-discover (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: plasma-discover (<< 5.26.90-0ubuntu2)
-Replaces: plasma-discover (<< 5.26.90-0ubuntu2)
-Description: Discover software management suite - Update Notifier
- Discover is a graphical software manager for the Plasma workspace.
- It helps users easily and quickly find applications and other software
- they might want to install.
- .
- By allowing to navigate a software library by search, categories, top lists
- along with detailed application information that includes screenshots
- and reviews, users can more quickly find applications that suit their needs.
- .
- Discover will also keep the system up to date by notifying about updates and
- installing them.
- .
- This package contains the update notifier and indicator.
-
 Package: plasma-discover-backend-flatpak
 Architecture: linux-any
 Depends: flatpak,
          plasma-discover (= ${binary:Version}),
-         xdg-desktop-portal-kde | xdg-desktop-portal-backend,
          ${misc:Depends},
          ${shlibs:Depends},
 Description: Discover software management suite - Flatpak backend
@@ -134,7 +110,6 @@
 Package: plasma-discover-backend-snap
 Architecture: linux-any
 Depends: plasma-discover (= ${binary:Version}),
-         xdg-desktop-portal-kde | xdg-desktop-portal-backend,
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: snapd,

## plasma-discover 6.4.4

=== debian/changelog ===
plasma-discover (6.4.4-0zneon+24.04+noble+release+build38) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 06:14:39 +0000

plasma-discover (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:18:48 +0000

plasma-discover (6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:06:39 +0000

plasma-discover (6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:33:17 +0000

plasma-discover (6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:48:31 +0000

plasma-discover (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:23:31 +0000

plasma-discover (6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 20:57:13 +0000

plasma-discover (6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:09:11 +0000

plasma-discover (6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:08:02 +0000

plasma-discover (6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:09:52 +0000

plasma-discover (6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:53:17 +0000

plasma-discover (6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:29:25 +0000

plasma-discover (6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 03:00:21 +0000

plasma-discover (6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Nov 2024 23:51:21 +0000

plasma-discover (6.2.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:33:01 +0000

plasma-discover (6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:11:56 +0000

plasma-discover (6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 16:03:45 +0000

plasma-discover (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:11:28 +0000

plasma-discover (6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 14:19:33 +0000

plasma-discover (6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:12:54 +0000

plasma-discover (6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:30:47 +0000

plasma-discover (6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:06:51 +0000

plasma-discover (6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:39:49 +0000

plasma-discover (6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 12:59:31 +0000

plasma-discover (6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:18:20 +0000

plasma-discover (6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:49:30 +0000

plasma-discover (6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:21:47 +0000

plasma-discover (5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:14:09 +1000

plasma-discover (5.27.10.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:51:19 +0000

plasma-discover (5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 15:00:30 +0000

plasma-discover (5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 12:08:57 +0000

plasma-discover (5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:21:23 +0000

plasma-discover (5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:07:15 +0000

plasma-discover (5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:33:42 +0000

plasma-discover (5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:31:28 +0000

plasma-discover (5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:12:45 +0000

plasma-discover (5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:05:21 +0000

plasma-discover (5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:32:06 +0000

plasma-discover (5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Feb 2023 12:48:51 +0000

plasma-discover (5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:46:26 +0000

plasma-discover (5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:44:08 +0000

plasma-discover (5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 09:58:30 +0000

plasma-discover (5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:41:09 +0000

plasma-discover (5.25.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Aug 2022 13:12:35 +0000

plasma-discover (5.25.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2022 16:13:57 +0000



## plasma-discover 6.4.5

=== kcm/CMakeLists.txt ===
#SPDX-FileCopyrightText: (C) 2020 Aleix Pol Gonzalzez <aleixpol@kde.org>
#SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_updates\")

kcmutils_add_qml_kcm(kcm_updates SOURCES updates.cpp updates.h)
kcmutils_generate_module_data(kcm_updates
    MODULE_DATA_HEADER discoverdata.h
    MODULE_DATA_CLASS_NAME DiscoverData
    SETTINGS_HEADERS discoversettings.h
    SETTINGS_CLASSES DiscoverSettings
)
kcmutils_generate_module_data(kcm_updates
    MODULE_DATA_HEADER updatesdata.h
    MODULE_DATA_CLASS_NAME UpdatesData
    SETTINGS_HEADERS updatessettings.h
    SETTINGS_CLASSES UpdatesSettings
)

kconfig_add_kcfg_files(kcm_updates updatessettings.kcfgc GENERATE_MOC)
kconfig_add_kcfg_files(kcm_updates discoversettings.kcfgc GENERATE_MOC)

target_link_libraries(kcm_updates PRIVATE
    KF6::I18n
    KF6::ConfigGui
    KF6::KCMUtilsQuick
)

=== discover/autotests/CMakeLists.txt ===
set(plasma_discover_autotest_SRCS)
ecm_qt_declare_logging_category(plasma_discover_autotest_SRCS HEADER discover_debug.h IDENTIFIER DISCOVER_LOG CATEGORY_NAME org.kde.plasma.discover)

if(BUILD_DummyBackend)
    add_test(NAME toplevels COMMAND Plasma::Discover --test "${CMAKE_CURRENT_SOURCE_DIR}/toplevels.qml")
    add_test(NAME install COMMAND Plasma::Discover --test "${CMAKE_CURRENT_SOURCE_DIR}/install.qml")

    add_test(NAME appstreamUrl COMMAND Plasma::Discover --test "${CMAKE_CURRENT_SOURCE_DIR}/appstreamUrl.qml" "dummy://techie1")
    add_test(NAME missingResource COMMAND Plasma::Discover --test "${CMAKE_CURRENT_SOURCE_DIR}/missingResource.qml" "dummy://caca")
    add_test(NAME apparg COMMAND Plasma::Discover --test "${CMAKE_CURRENT_SOURCE_DIR}/appstreamUrl.qml" --application "dummy://techie1")
    add_test(NAME categoryarg COMMAND Plasma::Discover --test "${CMAKE_CURRENT_SOURCE_DIR}/categoryArg.qml" --category "dummy 2.1")
    add_test(NAME wrongInput COMMAND Plasma::Discover --test "${CMAKE_CURRENT_SOURCE_DIR}/wrongInput.qml" "CMakeLists.txt")
    add_test(NAME packageArgument COMMAND Plasma::Discover --test "${CMAKE_CURRENT_SOURCE_DIR}/packageArgument.qml"
                                                           --local-filename "${CMAKE_CURRENT_SOURCE_DIR}/CMakeLists.txt")
    add_test(NAME updateandinstall COMMAND Plasma::Discover --test "${CMAKE_CURRENT_SOURCE_DIR}/updateandinstall.qml")

#   Just make sure they exit successfully
    add_test(NAME listbackends COMMAND Plasma::Discover --listbackends)
    add_test(NAME listmodes COMMAND Plasma::Discover --listmodes)
endif()

=== libdiscover/backends/KNSBackend/CMakeLists.txt ===
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

set(kns-backend_SRCS
    KNSBackend.cpp
    KNSResource.cpp
    KNSReviews.cpp
    KNSTransaction.cpp
)

kcoreaddons_add_plugin(kns-backend SOURCES ${kns-backend_SRCS} INSTALL_NAMESPACE "discover")
target_link_libraries(kns-backend
    Discover::Common
    AppStreamQt
    KF6::ConfigCore
    KF6::Attica
    KF6::NewStuffCore
    KF6::WidgetsAddons
    KF6::WindowSystem
    Qt::Xml
)

=== libdiscover/backends/KNSBackend/tests/CMakeLists.txt ===
include_directories(..)

add_executable(knsbackendtest
    KNSBackendTest.cpp
)
target_link_libraries(knsbackendtest
    PRIVATE
        Discover::Common
        Qt::Core
        Qt::Test
        KF6::Attica
        KF6::NewStuffCore
)

=== debian/changelog ===
plasma-discover (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:00:35 +0100

plasma-discover (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:26:57 +0100

plasma-discover (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:32:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,54 +1,55 @@
 Source: plasma-discover
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Matthias Klumpp <mak@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.14.0~),
                gettext,
                kirigami-addons-dev (>= 1.2.1~),
                libappstreamqt-dev (>= 1.0.0),
                libcurl4-gnutls-dev,
                libflatpak-dev (>= 0.11.8~) [linux-any],
                libfwupd-dev (>= 1.9.4~) [linux-any],
-               libkf6archive-dev (>= 6.10.0~),
-               libkf6attica-dev (>= 6.2.0~),
-               libkf6auth-dev (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6crash-dev (>= 6.10.0~),
-               libkf6dbusaddons-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
-               libkf6iconthemes-dev (>= 6.10.0~),
-               libkf6idletime-dev (>= 6.10.0~),
-               libkf6jobwidgets-dev,
-               libkf6kcmutils-dev (>= 6.10.0~),
-               libkf6kio-dev (>= 6.10.0~),
-               libkf6newstuff-dev (>= 6.2.0~),
-               libkf6notifications-dev (>= 6.10.0~),
-               libkf6purpose-dev (>= 6.10.0~),
-               libkf6statusnotifieritem-dev (>= 6.10.0~),
-               libkf6userfeedback-dev (>= 6.10.0~),
-               libkf6xmlgui-dev (>= 6.10.0~),
-               libkirigami-dev (>= 6.10.0~),
+               libkf6archive-dev (>= 6.14.0~),
+               libkf6attica-dev (>= 6.14.0~),
+               libkf6auth-dev (>= 6.14.0~),
+               libkf6config-dev (>= 6.14.0~),
+               libkf6coreaddons-dev (>= 6.14.0~),
+               libkf6crash-dev (>= 6.14.0~),
+               libkf6dbusaddons-dev (>= 6.14.0~),
+               libkf6i18n-dev (>= 6.14.0~),
+               libkf6iconthemes-dev (>= 6.14.0~),
+               libkf6idletime-dev (>= 6.14.0~),
+               libkf6jobwidgets-dev (>= 6.14.0~),
+               libkf6kcmutils-dev (>= 6.14.0~),
+               libkf6kio-dev (>= 6.14.0~),
+               libkf6newstuff-dev (>= 6.14.0~),
+               libkf6notifications-dev (>= 6.14.0~),
+               libkf6purpose-dev (>= 6.14.0~),
+               libkf6statusnotifieritem-dev (>= 6.14.0~),
+               libkf6userfeedback-dev (>= 6.14.0~),
+               libkf6xmlgui-dev (>= 6.14.0~),
+               libkirigami-dev (>= 6.14.0~),
                libmarkdown2-dev,
                libpackagekitqt6-dev (>= 1.0.1),
-               libsnapd-qt6-dev (>= 1.66-2) [linux-any],
+               libsnapd-qt-dev (>= 1.65) [linux-any],
                pkgconf,
                qcoro-qt6-dev,
                qml6-module-qt5compat-graphicaleffects,
-               qt6-base-dev (>= 6.7.0~),
-               qt6-declarative-dev (>= 6.7.0~),
-               qt6-webview-dev (>= 6.6.0~) [amd64 arm64 armhf i386],
-Standards-Version: 4.7.2
+               qt6-base-dev (>= 6.8.0~),
+               qt6-declarative-dev (>= 6.8.0~),
+               qt6-webview-dev (>= 6.8.0~) [amd64 arm64 armhf i386],
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/discover
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-discover
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-discover.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
 Rules-Requires-Root: no
 
 Package: plasma-discover
@@ -63,11 +64,12 @@
 Recommends: apt-config-icons-hidpi,
             apt-config-icons-large,
             apt-config-icons-large-hidpi,
-            kde-config-updates,
             plasma-discover-backend-fwupd [linux-any],
+            plasma-discover-backend-snap,
+            plasma-discover-notifier,
             software-properties-qt,
-Suggests: plasma-discover-backend-flatpak [linux-any],
-          plasma-discover-backend-snap [linux-any],
+Suggests: kde-config-updates,
+          plasma-discover-backend-flatpak [linux-any],
 Description: Discover software management suite
  Discover is a graphical software manager for the Plasma workspace.
  It helps users easily and quickly find applications and other software
@@ -80,10 +82,32 @@
  Discover will also keep the system up to date by notifying about updates and
  installing them.
 
+Package: plasma-discover-notifier
+Architecture: any
+Depends: plasma-discover (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: plasma-discover (<< 5.26.90-0ubuntu2)
+Replaces: plasma-discover (<< 5.26.90-0ubuntu2)
+Description: Discover software management suite - Update Notifier
+ Discover is a graphical software manager for the Plasma workspace.
+ It helps users easily and quickly find applications and other software
+ they might want to install.
+ .
+ By allowing to navigate a software library by search, categories, top lists
+ along with detailed application information that includes screenshots
+ and reviews, users can more quickly find applications that suit their needs.
+ .
+ Discover will also keep the system up to date by notifying about updates and
+ installing them.
+ .
+ This package contains the update notifier and indicator.
+
 Package: plasma-discover-backend-flatpak
 Architecture: linux-any
 Depends: flatpak,
          plasma-discover (= ${binary:Version}),
+         xdg-desktop-portal-kde | xdg-desktop-portal-backend,
          ${misc:Depends},
          ${shlibs:Depends},
 Description: Discover software management suite - Flatpak backend
@@ -110,6 +134,7 @@
 Package: plasma-discover-backend-snap
 Architecture: linux-any
 Depends: plasma-discover (= ${binary:Version}),
+         xdg-desktop-portal-kde | xdg-desktop-portal-backend,
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: snapd,

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/plasma/([\d.]+)/discover@ANY_VERSION@@ARCHIVE_EXT@

## plasma-discover 6.4.5+p24.04+vstable+git20251004.0505

=== debian/changelog ===
plasma-discover (6.4.5+p24.04+vstable+git20251004.0505-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:05:57 +0000

plasma-discover (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:02:56 +0000

## plasma-discover 6.4.5+p24.04+vstable+git20251005.1108

=== debian/changelog ===
plasma-discover (6.4.5+p24.04+vstable+git20251005.1108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 11:08:45 +0000

## plasma-discover 6.4.5+p24.04+vstable+git20251019.0609

=== debian/changelog ===
plasma-discover (6.4.5+p24.04+vstable+git20251019.0609-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:09:22 +0000

## plasma-discover 6.4.5+p24.04+vstable+git20251020.0043

=== debian/changelog ===
plasma-discover (6.4.5+p24.04+vstable+git20251020.0043-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:43:30 +0000

## plasma-discover 6.4.5+p24.04+vstable+git20251021.0348

=== debian/changelog ===
plasma-discover (6.4.5+p24.04+vstable+git20251021.0348-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:48:32 +0000
